org.eclipse.mat.query.quantize

## Interface Quantize.Function

Enclosing class:
  Quantize

    public static interface Quantize.Function

A function used to aggregate values into one bucket, e.g. adding or averaging numbers. There exists one instance per bucket.

### Nested Class Summary

Nested Classes
`static interface` `Quantize.Function.Factory` Interface for a function factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `add(Object value)` Called when an object is added to the bucket.
`Object` `getValue()` Called to retrieve the function value.

### Method Detail

#### add

    void add(Object value)

Called when an object is added to the bucket.

Parameters:
  `value` - to be added to the bucket

#### getValue

    Object getValue()

Called to retrieve the function value. If it is expensive to calculate, this value must be cached.

Returns:
  the statistic